Subject: Taylor Frost
From: Labor Law <[email-masked]>
To: Rochelle Stalter <[email-masked]>
Cc: Rita Kurtz <[email-masked]>, Mike <[email-masked]>, Margaret Oliver <[email-masked]>
Date: Tue, 29 Nov 2016 16:44:15 -0500

Rochelle
We let Taylor go. We moved her from fronter to closer and she was very
upset. We talked to her and feel like we were able to calm her down.
Shortly after last break her mother called here several times in a row. She
was screaming and swearing at us. She was also threatening us. We have
locked down the call center for the remainder of the day and removed her
from the fingerprint reader. We cannot have this type of disruption in the
call center. We also want to make sure the workplace is a safe environment
for everyone.
Thank you
Angela